using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Table("physical_deal_type")]
public partial class PhysicalDealType
{
    [Key]
    [Column("id")]
    public int Id { get; set; }

    [Column("name", TypeName = "citext")]
    public string? Name { get; set; }

    [Column("is_active")]
    public bool? IsActive { get; set; }

    [InverseProperty("PhysicalDealType")]
    public virtual ICollection<Deal> Deals { get; set; } = new List<Deal>();
}
